Page MenuHomePhabricator

Tech Debt: Allocate native extension objects once per document instead of reusing it across documents
Closed, ResolvedPublic

Description

Right now, native extension objects are reused across documents. However, this is asking for trouble for extensions that might maintain state and may not do a good job clearing it when required. This could leak state across documents and corrupt generated HTML.

This would have prevented the id reuse issues reported in T63165 and T93715.

Event Timeline

ssastry created this task.Mar 25 2015, 11:33 PM
ssastry raised the priority of this task from to Medium.
ssastry updated the task description. (Show Details)
ssastry added a project: Parsoid.
ssastry added a subscriber: ssastry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 11:33 PM
ssastry raised the priority of this task from Medium to High.Apr 26 2015, 12:27 PM
ssastry set Security to None.

Change 253803 had a related patch set uploaded (by Arlolra):
T93974: Allocate native extension objects once per doc

https://gerrit.wikimedia.org/r/253803

Arlolra claimed this task.Nov 18 2015, 12:54 AM

Change 253803 merged by jenkins-bot:
T93974: Allocate native extension objects once per doc

https://gerrit.wikimedia.org/r/253803

Arlolra closed this task as Resolved.Nov 18 2015, 1:35 AM
Arlolra removed a project: Patch-For-Review.